Retrieve a remittance
curl --request GET \
--url https://api.heyrafiki.space/v1/remittances/{remittance_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heyrafiki.space/v1/remittances/{remittance_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.heyrafiki.space/v1/remittances/{remittance_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heyrafiki.space/v1/remittances/{remittance_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "remittance",
"status": "received",
"payer_reference": "<string>",
"amount": {
"currency": "<string>",
"paid": 2
},
"allocations": [
{
"claim_id": "<string>",
"paid_amount": 4503599627370496,
"reason_codes": [
"<string>"
]
}
],
"received_at": "2023-11-07T05:31:56Z",
"reconciled_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Retrieve a remittance
Returns one project-scoped remittance. Requires remittances:read.
GET
/
remittances
/
{remittance_id}
Retrieve a remittance
curl --request GET \
--url https://api.heyrafiki.space/v1/remittances/{remittance_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heyrafiki.space/v1/remittances/{remittance_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.heyrafiki.space/v1/remittances/{remittance_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heyrafiki.space/v1/remittances/{remittance_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "remittance",
"status": "received",
"payer_reference": "<string>",
"amount": {
"currency": "<string>",
"paid": 2
},
"allocations": [
{
"claim_id": "<string>",
"paid_amount": 4503599627370496,
"reason_codes": [
"<string>"
]
}
],
"received_at": "2023-11-07T05:31:56Z",
"reconciled_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
A sandbox or production secret key.
Path Parameters
A public remittance identifier.
Maximum string length:
100Pattern:
^rem_[A-Za-z0-9_-]+$Response
A remittance
Pattern:
^rem_[A-Za-z0-9_-]+$Allowed value:
"remittance"Available options:
received, reconciled, exception Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on August 10, 2026
Was this page helpful?

